#ifndef TOUCH_H
#define TOUCH_H
using namespace std;
using namespace yarp::os;
/**
 * return touch of specific part in @buff and it's @&size
 */
void getTouch(Port *p, double *buff, int &size);

/**
 * return if touch anywhere
 */
bool isArmTouch(Port *leftHand, Port *rightHand, Port *leftForearm, Port *rightForearm);

/**
 * set up left hand touch port
 */
void leftHandPort(Port *port);

/**
 * set up right hand touch port
 */
void rightHandPort(Port *port);

/**
 * set up left arm touch port
 */
void leftForearmPort(Port *port);

/**
 * set up richt arm touch port
 */
void rightForearmPort(Port *port);


/**
 * close left hand port and dissconect it
 */
void leftHandPortClose(Port *port);

/**
 * close right hand port and dissconect it
 */
void rightHandPortClose(Port *port);

/**
 * close left arm port and dissconect it
 */
void leftForearmPortClose(Port *port);

/**
 * close right arm port and dissconect it
 */
void rightForearmPortClose(Port *port);
#endif
